﻿using System;
using System.Collections.Generic;
using System.Collections;

namespace TourAgent.Models
{
    public partial class Tour
    {
        public Tour()
        {
            HotelOfTours = new HashSet<HotelOfTour>();
            TypeOfTours = new HashSet<TypeOfTour>();
        }

        public int Id { get; set; }
        public int TicketCount { get; set; }
        public string Name { get; set; } = null!;
        public string? Desription { get; set; }
        public byte[]? ImagePreview { get; set; }
        public decimal Price { get; set; }
        public BitArray IsActual { get; set; } = null!;

        public virtual ICollection<HotelOfTour> HotelOfTours { get; set; }
        public virtual ICollection<TypeOfTour> TypeOfTours { get; set; }
    }
}
